# Generate version

Initiate the generation process for a dubbing version. Once the process is complete,
and you'll receive notifications via email or a callback URL, if configured (see below). Your final video will
then be available for download.


#### Version Status
This operation is only allowed if the version status is ReadyToEdit. Upon execution,
 the version status will be updated to Generating, until the generation process is completed,
after which the version status will be updated to Completed.

Endpoint: POST /v1/versions/{version_id}/generate
Security: api_key

## Path parameters:

  - `version_id` (string, required)

## Request fields (application/json):

  - `generate_mode` (string, required)
    Panjaya will generate the version with or without synthesized lips according to the parameter's value.
    Enum: "with_lips", "no_lips"

## Response 400 fields (application/json):

  - `detail` (string, required)
    A full description of the error.

## Response 401 fields (application/json):

  - `detail` (string, required)
    A full description of the error.

## Response 500 fields (application/json):

  - `detail` (string, required)
    A full description of the error.


